## netatalk 3.1.18~ds

=== debian/changelog ===
netatalk (3.1.18~ds-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:13 +1100

netatalk (3.1.18~ds-1build3) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:27:38 +0100

netatalk (3.1.18~ds-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:07:38 +0000

netatalk (3.1.18~ds-1build1) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:30:28 +0000

netatalk (3.1.18~ds-1) unstable; urgency=high

  [ upstream ]
  * new release
    + CVE-2022-22995: Harden create_appledesktop_folder()
      closes: bug#1053545

  [ Jonas Smedegaard ]
  * drop patch 001, obsoleted by upstream changes
  * set urgency=high due to security-related bugfix

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Oct 2023 06:40:15 +0200

netatalk (3.1.17~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * Cherry-pick upstream patch for restoring
    tcp wrapper autoconf check.
  * Update lintian sonames override after removal of
    ABI versioning upstream.

  [ Jonas Smedegaard ]
  * set urgency=high due to previous security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Sep 2023 21:59:44 +0200

netatalk (3.1.17~ds-1) unstable; urgency=high

  [ upstream ]
  * new release(s)
    + Use non-interactive PAM session when available
      closes: bug#1040065, thanks to Richard van den Berg
    + Renames asip-status.pl to asip-status
    + Removes uniconv and cnid2_create from distribution
    + FIX CVE-2023-42464:
      Validate data type in dalloc_value_for_key()
    + FIX: Declare a variable before using it in a loop,
      which was throwing off the default compiler on RHEL7
    closes: bug#1052087

  [ Daniel Markstedt ]
  * Drop patches obsoleted by upstream changes:
    001, 101, 105, 106, 107, 204
  * Generate man pages from XML sources with docbook-xsl
  * Improve configure parameters:
    + Explicitly define sysconfdir
    + Sort parameters alphabetically
  * Add lintian overrides for:
    + package-name-doesnt-match-sonames
    + package-contains-documentation-outside-usr-share-doc

  [ Jonas Smedegaard ]
  * set urgency=high due to security-related bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Sep 2023 21:58:16 +0200

netatalk (3.1.15~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * Cherry-pick upstream patch for:
    + Fix CVE-2022-23121, CVE-2022-23123 regression
  * Install netatalk dbus config file into /usr/share prefix
    instead of /etc - to appease lintian
  * Don't distribute libatalk.so shared lib symlink:
    The upstream project is moving towards turning it into a
    private library
  * Remove copyright info for generated source files
    no longer in VCS
  * Remove overlapping copyright files covered by wildcards
  * Add notes in TODO:
    + to figure out why lintian-overrides are ignored
    + to link with WolfSSL instead of OpenSSL
      (OpenSSL 3.0 broke compatibility with DHX)

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Aug 2023 17:23:37 +0200

netatalk (3.1.15~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * Fix failing smoke test caused by an upstream change
  * Replace deprecated dependency `lsb-base'
    which is now superseded by Essential package `sysvinit-utils'
  * Remove debian.pam override, since upstream now generates
    logically identical pam configurations
  * Fix duplicate globbing of copyright sources
  * Flag all patches as either forwarded or not-needed
  * Restore distribution of the afppasswd.1 man page
  * Fix typo in previous changelog entry (wrong CVE number)
  * Remove obsoleted NEWS file
  * Update own email address
  * Add item to TODO on cleaning up copyright for generated sources
  * Upstream repo renamed from `Netatalk' to `netatalk'

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * renumber patches to match micro naming policy:
    203 -> 101, 102 -> 205

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Aug 2023 10:43:23 +0200
