=== debian/changelog ===
netatalk (3.2.9~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * add patch cherry-picked from upstream:
    002: meson: Format afpd help text output to match autotools
  * update afpd smoketest:
    + remove the check for the tdb CNID backend
    + sort tests in the same order as actual output
  * stop build-depend on libtdb-dev: obsoleted by upstream changes
  * build-depend on libltdl-dev (not libltdl3-dev)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Sep 2024 03:06:55 +0200

netatalk (3.2.9~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * Add patch cherry-picked from upstream:
    001: Correct libwrap capability check in Meson build system
  * Make cracklib-runtime a build dependency
    in order to build netatalk with cracklib support

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Sep 2024 02:46:12 +0200

netatalk (3.2.9~ds-1) unstable; urgency=high

  [ upstream ]
  * new release(s)
    + fix CVE-2024-38439 CVE-2024-38440 CVE-2024-38441
      closes: bug#1074473, #1074474, #1074475

  [ Daniel Markstedt ]
  * drop patches obsoleted by upstream changes
  * refresh patch 202
  * stop build-depend on libgcrypt-config;
    closes: bug#1074503
  * build-depend on libio-socket-ip-perl libnet-dbus-perl perl;
    stop build-depend on python3 python3-dbus
  * update build rules to use Meson (not autotools)
  * Install PAM config in /usr/lib/pam.d to conform to FHS
  * update TODOs

  * update copyright info:
    + exclude embedded libwolfssl from repackaged upstream tarball
    + removing blurbs for files dropped upstream
  * generate documentation, and register with doc-base
  * build-depend on libmariadb-dev (not libmariadb-dev-compat)

  [ Jonas Smedegaard ]
  * Set urgency=high due to security-related bugfixes
  * set buildsystem in overridden configure rule,
    and stop set implied configure option

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Sep 2024 06:42:57 +0200

netatalk (3.1.18~ds-2) unstable; urgency=high

  * update git-buildpackage: adjust debian-branch
  * add patches cherry-picked upstream:
    + use pkg-config to find libgcrypt;
      closes: bug#1071945, thanks to Andreas Metzler
    + harden user login;
      CVE-2024-38439 CVE-2024-38440 CVE-2024-38441;
      closes: bug#1074473,#1074474,#1074475
  * stop pass now superfluous configure option --with-libgcrypt-dir
  * set urgency=high due to security bugfixes

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2024 11:09:54 +0200
