=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: netatalk
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Netatalk team <pkg-netatalk-devel@lists.alioth.debian.org>
+Maintainer: Debian Netatalk team <pkg-netatalk-devel@lists.alioth.debian.org>
 Uploaders:
  Daniel Markstedt <daniel@mindani.net>,
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  bison,
  cmark-gfm <!nodoc>,
+ cracklib-runtime,
  debhelper-compat (= 13),
  docbook-xsl,
  flex,
@@ -21,15 +21,18 @@
  libgcrypt20-dev,
  libkrb5-dev,
  libldap2-dev,
- libltdl3-dev,
- libmariadb-dev-compat,
+ libltdl-dev,
+ libmariadb-dev,
  libpam0g-dev,
  libssl-dev,
  libtalloc-dev,
- libtdb-dev,
  libtirpc-dev,
  libtracker-sparql-3.0-dev,
+ libwolfssl-dev,
  libwrap0-dev,
+ meson,
+ ninja-build,
+ pkgconf,
  systemtap-sdt-dev,
  tracker,
  unicode-data,
@@ -38,7 +41,7 @@
  libavahi-compat-libdnssd-dev,
 Vcs-Git: https://salsa.debian.org/netatalk-team/netatalk.git
 Vcs-Browser: https://salsa.debian.org/netatalk-team/netatalk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Netatalk/netatalk
 Rules-Requires-Root: no
 
@@ -54,12 +57,12 @@
  ${shlibs:Depends},
 Recommends:
  avahi-daemon,
- cracklib-runtime,
  dbus,
+ libio-socket-ip-perl,
+ libnet-dbus-perl,
  lsof,
+ perl,
  procps,
- python3,
- python3-dbus,
  tracker (>= 3.0),
  tracker-miner-fs (>= 3.0),
 Suggests:
