=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

UTF16_FILES = libatalk/unicode/utf16_case.c libatalk/unicode/utf16_casetable.h

%:
	dh $@ --buildsystem=meson+ninja

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

execute_after_dh_auto_build: $(DOCS)

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

# restore stale unicode tables moved aside during build
execute_after_dh_auto_clean:
	for file in $(UTF16_FILES); do \
		[ ! -f $$file.save ] || mv --force $$file.save $$file; \
	done

# move aside stale unicode tables and generate up-to-date tables
execute_before_dh_auto_configure:
	for file in $(UTF16_FILES); do \
		[ ! -f $$file ] || mv $$file $$file.save; \
	done
	contrib/shell_utils/make-casetable.pl \
		/usr/share/unicode/UnicodeData.txt \
		libatalk/unicode/utf16_casetable.h \
		libatalk/unicode/utf16_case.c

override_dh_auto_configure:
	dh_auto_configure --buildsystem=meson+ninja -- \
		--localstatedir=/var/lib \
		-Dwith-dbus-daemon-path=/usr/bin/dbus-daemon \
		-Dwith-dbus-sysconf-path=/usr/share/dbus-1/system.d \
		-Dwith-docbook-path=/usr/share/xml/docbook/stylesheet/docbook-xsl \
		-Dwith-embedded-ssl=false \
		-Dwith-init-hooks=false \
		-Dwith-init-style=debian \
		-Dwith-install-hooks=false \
		-Dwith-krbV-uam=true \
		-Dwith-ldsoconf=false \
		-Dwith-manual=true \
		-Dwith-overwrite=true \
		-Dwith-pam-config-path=/etc/pam.d \
		-Dwith-pkgconfdir-path=/etc/netatalk \
		-Dwith-pgp-uam=true \
		-Dwith-rpath=false \
		-Dwith-tests=true

execute_before_dh_install:
# Install sysV initscript with debhelper to add pre- and postinst routines
	cp debian/netatalk/etc/init.d/netatalk debian/netatalk.init

execute_after_dh_install:
	rm debian/netatalk/usr/bin/netatalk-config
	rm debian/netatalk/usr/lib/$(DEB_HOST_MULTIARCH)/libatalk.so
	rm debian/netatalk/usr/share/man/man1/netatalk-config.1
	rm -r debian/netatalk/usr/include

override_dh_strip:
	dh_strip --dbgsym-migration='netatalk-dbg (<< 3.1.12~ds-7~)'
