## netatalk 3.2.10~ds

=== debian/changelog ===
netatalk (3.2.10~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release
    hightlights:
    + fix broken ClearTxt UAM (shadow)
    + fix TCP Wrapper detection in Meson
    + fix afpd help text output when built with Meson
    + avoid enabling Debugging by default in Meson
      (fixes server tickles)
    + change default D-Bus config path to <share/dbus-1/system.d>

  [ Daniel Markstedt ]
  * srop patches 001 and 002, obsoleted by upstream changes
  * remove D-Bus config path override, obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Sep 2024 12:53:34 +0200
