=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,6 @@
 	dh_auto_configure --buildsystem=meson+ninja -- \
 		--localstatedir=/var/lib \
 		-Dwith-dbus-daemon-path=/usr/bin/dbus-daemon \
-		-Dwith-dbus-sysconf-path=/usr/share/dbus-1/system.d \
 		-Dwith-docbook-path=/usr/share/xml/docbook/stylesheet/docbook-xsl \
 		-Dwith-embedded-ssl=false \
 		-Dwith-init-hooks=false \
