## netatalk 4.0.1~ds

=== meson_options.txt ===
--- 
+++ 
@@ -40,6 +40,18 @@
     description: 'Enable cracklib support',
 )
 option(
+    'with-cups',
+    type: 'boolean',
+    value: true,
+    description: 'Enable CUPS support',
+)
+option(
+    'with-appletalk',
+    type: 'boolean',
+    value: false,
+    description: 'Enable the AppleTalk transport layer, services and utilities',
+)
+option(
     'with-debug',
     type: 'boolean',
     value: true,
@@ -48,7 +60,7 @@
 option(
     'with-debugging',
     type: 'boolean',
-    value: true,
+    value: false,
     description: 'Enable SIGALARM timers and DSI tickles (eg for debugging with gdb/dbx/...)',
 )
 option(
@@ -58,12 +70,6 @@
     description: 'Enable dtrace probes',
 )
 option(
-    'with-embedded-ssl',
-    type: 'boolean',
-    value: true,
-    description: 'Enable embedded SSL library',
-)
-option(
     'with-gssapi',
     type: 'boolean',
     value: true,
@@ -94,12 +100,6 @@
     description: 'Enable build of Kerberos V UAM module',
 )
 option(
-    'with-largefile',
-    type: 'boolean',
-    value: true,
-    description: 'Enable support for large files',
-)
-option(
     'with-ldap',
     type: 'boolean',
     value: true,
@@ -118,12 +118,6 @@
     description: 'Enable iconv support',
 )
 option(
-    'with-manual',
-    type: 'boolean',
-    value: false,
-    description: 'Compile Netatalk documentation',
-)
-option(
     'with-overwrite',
     type: 'boolean',
     value: false,
@@ -136,18 +130,18 @@
     description: 'Enable PAM support',
 )
 option(
-    'with-pgp-uam',
-    type: 'boolean',
-    value: false,
-    description: 'Enable build of PGP UAM module',
-)
-option(
     'with-quota',
     type: 'boolean',
     value: true,
     description: 'Enable quota support',
 )
 option(
+    'with-readmes',
+    type: 'boolean',
+    value: true,
+    description: 'Install README documentation',
+)
+option(
     'with-rpath',
     type: 'boolean',
     value: true,
@@ -178,12 +172,6 @@
     description: 'Enable Spotlight support',
 )
 option(
-    'with-ssl-override',
-    type: 'boolean',
-    value: false,
-    description: 'Force built-in WolfSSL as SSL provider',
-)
-option(
     'with-tcp-wrappers',
     type: 'boolean',
     value: true,
@@ -194,6 +182,12 @@
     type: 'boolean',
     value: false,
     description: 'Compile tests',
+)
+option(
+    'with-webmin',
+    type: 'boolean',
+    value: false,
+    description: 'Package and install the Netatalk Webmin module',
 )
 option(
     'with-zeroconf',
@@ -292,6 +286,12 @@
     description: 'Set path to the package conf dir that overrides sysconfdir',
 )
 option(
+    'with-spooldir',
+    type: 'string',
+    value: '',
+    description: 'Set path for spooldir used for CUPS support',
+)
+option(
     'with-tracker-install-prefix',
     type: 'string',
     value: '',
@@ -309,32 +309,15 @@
     value: 'libdir / netatalk',
     description: 'Set path to UAMs',
 )
-
-# The following options set the preferred init-style and default CNID backend:
-
-option(
-    'with-init-style',
-    type: 'combo',
-    choices: [
-        'none',
-        'debian',
-        'debian-systemd',
-        'debian-sysv',
-        'freebsd',
-        'gentoo-openrc',
-        'gentoo-systemd',
-        'macos-launchd',
-        'netbsd',
-        'openbsd',
-        'openrc',
-        'redhat-systemd',
-        'solaris',
-        'suse-systemd',
-        'systemd',
-    ],
-    value: 'none',
-    description: 'Use OS specific init config',
-)
+option(
+    'with-unicode-data-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to UnicodeData.txt',
+)
+
+# The following options offer a choice from pre-defined selections
+
 option(
     'with-cnid-default-backend',
     type: 'combo',
@@ -344,7 +327,36 @@
         'mysql',
     ],
     value: 'dbd',
-    description: 'Set default DID scheme',
+    description: 'Set default CNID scheme',
+)
+option(
+    'with-init-style',
+    type: 'array',
+    choices: [
+        'none',
+        'auto',
+        'debian-sysv',
+        'freebsd',
+        'macos-launchd',
+        'netbsd',
+        'openbsd',
+        'openrc',
+        'solaris',
+        'systemd',
+    ],
+    value: ['auto'],
+    description: 'Use OS specific init config',
+)
+option(
+    'with-manual',
+    type: 'combo',
+    choices: [
+        'none',
+        'local',
+        'www',
+    ],
+    value: 'local',
+    description: 'Build and install the html manual',
 )
 option(
     'with-manual-l10n',
