=== debian/changelog ===
netatalk (4.0.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * flag netatalk-tools as Replaces the netatalk 3.x package;
    closes: bug#1084819, thanks to Helmut Grohne
  * add myself as copyright holder for debian/*

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * drop patches cherry-picked upstream, now obsolete

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Oct 2024 19:55:44 +0200

netatalk (4.0.0~ds-4) unstable; urgency=medium

  [ Daniel Markstedt ]
  * add patch 005, create manpage aliases for nbp tools
  * add patch 006, remove Also directive in systemd units
  * generate the README.txt via the netatalk build system
  * install README.txt with all packages

  [ Jonas Smedegaard ]
  * omit generating documentation
    and build-depending on docbook-xsl and xsltproc
    if DEB_BUILD_OPTIONS=nodoc
  * omit tests if DEB_BUILD_OPTIONS=nocheck
  * add note in rules file about statedir setting

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 05 Oct 2024 10:27:11 +0200

netatalk (4.0.0~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * move XSL tooling back to Build-Depends to unblock -arch builds
  * create debian/not-installed to ignore netatalk-config files

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Oct 2024 07:14:34 +0200

netatalk (4.0.0~ds-2) experimental; urgency=medium

  [ Daniel Markstedt ]
  * add patch 004, allow building arch when XSL tools are unavailable
  * papd: change `cups' package to recommended
  * netatalk-tools: add Breaks conflict with pre-4.0 netatalk;
    closes: bug#1083125

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Oct 2024 09:14:40 +0200

netatalk (4.0.0~ds-1) experimental; urgency=medium

  [ upstream ]
  * new release
    highlights:
    + reintroduce AFP-over-AppleTalk transport layer
    + reintroduce daemons: atalkd, papd, timelord, a2boot
    + reintroduce utils: aecho, getzones, nbplkup, nbprgstr, nbpunrgstr,
      pap, papstatus
    + add `macipgw' MacIP gateway daemon
    + remove incorrect libgcrypt version check
      closes: bug#568601
    + rewrite afpstats from dbus-glib to GDBus
      closes: bug#955927
    + all UAMs use libgcrypt; remove dependency on OpenSSL and wolfSSL
    + remove obsoleted PGP UAM

  [ Daniel Markstedt ]
  * split deb packaging into multiple atomic units
  * drop repackaging of wolfSSL code, since it was removed upstream
  * repackage by removing the webmin_module code
  * remove debian rules override for Unicode character lookup table
    code generation, now handled by the netatalk build system
  * add dependency on cups, to enable the papd print server
  * add patch 001, 002, 003 for minor upstream bugs
  * remove obsoleted `default' init script
  * remove obsoleted README.Debian

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Oct 2024 15:37:16 +0200
