## netatalk 4.0.3~ds

=== debian/changelog ===
netatalk (4.0.3~ds-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Oct 2024 21:10:21 +0100

netatalk (4.0.3~ds-1) experimental; urgency=medium

  [ Daniel Markstedt ]
  * some testsuite tests need setgid on the volume dir
  * use systemctl to control the netatalk process for testing
  * specify with-tracker-prefix for meson 1.6.0 compatibility
  * remove patches obsoleted by upstream changes
  * update testsuite execution command with upstream changes
  * create a netatalk-tests package
  * store testsuite test log to debci artifacts
  * install README.txt for netatalk-tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Oct 2024 07:42:17 +0100

netatalk (4.0.2~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + end-to-end testsuite module added
    + new afp.conf option legacy icon

  [ Daniel Markstedt ]
  * build testsuite and run the suite with autopkgtest
  * add patches 201 & 203 to make testsuite work in autopkgtest
  * update smoketest to conform to upstream changes
  * update copyright info with newly added source code
  * use with-statedir-path override instead of Meson localstatedir

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not abuse License-Grant)
    + sort copyright holders by name

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Oct 2024 22:47:34 +0200
