=== debian/control ===
--- 
+++ 
@@ -114,6 +114,25 @@
   * dbd - CNID database maintenance
   * macusers - list connected AFP server users
 
+Package: netatalk-tests
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Apple Filing Protocol service (test tools)
+ Netatalk is an implementation of the Apple Filing Protocol (AFP),
+ for offering file service (mainly) to macOS clients.
+ .
+ This package contains the following AFP functional test runners,
+ benchmarks, and supporting tools:
+  * afp_encodingtest - AFP volume encoding test
+  * afp_lantest - AFP benchmark akin to HELIOS LanTest
+  * afp_logintest - test authentication over DSI
+  * afp_ls - ls command over AFP
+  * afp_spectest - AFP specification functional test suite
+  * afp_speedtest - AFP read/write/copy benchmark
+  * afparg - AFP CLI client
+
 Package: netatalk-doc
 Section: doc
 Architecture: all
