## netatalk 4.0.7~ds

=== meson_options.txt ===
--- 
+++ 
@@ -182,6 +182,12 @@
     type: 'boolean',
     value: false,
     description: 'Compile tests',
+)
+option(
+    'with-testsuite',
+    type: 'boolean',
+    value: false,
+    description: 'Compile the AFP test suite',
 )
 option(
     'with-webmin',
@@ -208,6 +214,12 @@
     description: 'Set path to Berkeley DB installation. Must contain lib and include dirs',
 )
 option(
+    'with-bdb-version',
+    type: 'string',
+    value: '',
+    description: 'Set installed Berkeley DB version x.y (major.minor) to link against',
+)
+option(
     'with-cracklib-path',
     type: 'string',
     value: '',
@@ -216,7 +228,7 @@
 option(
     'with-dbus-daemon-path',
     type: 'string',
-    value: '/bin/dbus-daemon',
+    value: '',
     description: 'Set path to D-Bus daemon',
 )
 option(
@@ -268,6 +280,12 @@
     description: 'Set path to Netatalk lockfile',
 )
 option(
+    'with-manual-install-path',
+    type: 'string',
+    value: '',
+    description: 'Set path where to install manual html pages',
+)
+option(
     'with-pam-path',
     type: 'string',
     value: '',
@@ -280,6 +298,12 @@
     description: 'Set path to PAM config directory',
 )
 option(
+    'with-perl-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to directory that containts the perl runtime binary',
+)
+option(
     'with-pkgconfdir-path',
     type: 'string',
     value: '',
@@ -290,6 +314,12 @@
     type: 'string',
     value: '',
     description: 'Set path for spooldir used for CUPS support',
+)
+option(
+    'with-statedir-path',
+    type: 'string',
+    value: '',
+    description: 'Set path for statedir used for CNID databases etc.',
 )
 option(
     'with-tracker-install-prefix',
@@ -352,11 +382,12 @@
     type: 'combo',
     choices: [
         'none',
-        'local',
-        'www',
+        'local',    # html and troff docs for installation and distribution
+        'man_only', # troff man pages only for installation and distribution
+        'www',      # html for web publishing (project admin use)
     ],
     value: 'local',
-    description: 'Build and install the html manual',
+    description: 'Format of manual to build and install',
 )
 option(
     'with-manual-l10n',
