=== debian/changelog ===
netatalk (4.0.7~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * add patch 001: retry logic for flaky testsuite test

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Dec 2024 09:04:14 +0100

netatalk (4.0.7~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update patch 202

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 21:08:04 +0100

netatalk (4.0.6~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Nov 2024 18:57:50 +0100

netatalk (4.0.5~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * drop TODO note about using libev (considered infeasable upstream)
  * drop obsolete man page for gone executable afp_encodingtest
  
  [ Jonas Smedegaard ]
  * update copyright info:
    + exclude generated files from repackaged source

  [ Daniel Markstedt ]

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Nov 2024 13:45:32 +0100

netatalk (4.0.4~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * enable extension mapping tests in the testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Nov 2024 09:40:06 +0100

netatalk (4.0.4~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * afp_ls has been merged into afparg,
    and encodingtest into spectest
  * afptest man page has been introduced,
    covering all netatalk-tests apps
  * don't install afp_encodingtest.1 man page
    which has been deprecated upstream
  * spectest test suites were collapsed into a single suite upstream
  * use correct path to test volumes in testsuite configuration
  * for netatalk-tests,
    install binary test data file used by afp_spectest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Nov 2024 00:26:48 +0100
