=== debian/control ===
--- 
+++ 
@@ -125,10 +125,8 @@
  .
  This package contains the following AFP functional test runners,
  benchmarks, and supporting tools:
-  * afp_encodingtest - AFP volume encoding test
   * afp_lantest - AFP benchmark akin to HELIOS LanTest
   * afp_logintest - test authentication over DSI
-  * afp_ls - ls command over AFP
   * afp_spectest - AFP specification functional test suite
   * afp_speedtest - AFP read/write/copy benchmark
   * afparg - AFP CLI client
