## netatalk 4.0.8~ds

=== debian/changelog ===
netatalk (4.0.8~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * remove patch 001 obsoleted by upstream changes
  * add patch 001 to skip test358 which is flaky on s390x
  * unfuzz patch 202

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Dec 2024 11:14:34 +0100
